<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>mbigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="check_mbigint.html">&lt;&lt; check_mbigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="mbigint2latex.html">mbigint2latex &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a> &gt; mbigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">mbigint</h1>
    <p class="refpurpose">matrix_bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">p,n:</span>
            <dd><p class="para">integers</p></dd></dt>
        <dt><span class="term">M:</span>
            <dd><p class="para">mbigint</p></dd></dt>
        <dt><span class="term">m_ij :</span>
            <dd><p class="para">bigint entries of M</p></dd></dt>
        <dt><span class="term">A :</span>
            <dd><p class="para">matrix of double</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">create a &#0034;matrix of big integers&#0034; of size pxn with coefficient <span><img src='./_LaTeX_mbigint.xml_1.png' style='position:relative;top:7px;width:31px;height:16px'/></span>varagin (set by columns).</p>
   <p class="para"></p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//convert double matrix to mbigint</span>
<span class="scilabid">M</span><span class="scilaboperator">=</span><span class="scilabid">mbigint</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://grand">grand</a><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabnumber">3</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">uin</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabnumber">99999999</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span>
<a class="scilabcommand" href="scilab://typeof">typeof</a><span class="scilabopenclose">(</span><span class="scilabid">M</span><span class="scilabopenclose">)</span>  <span class="scilabcomment">//  mbigint</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">mbigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">123456789</span><span class="scilabopenclose">)</span>
<a class="scilabcommand" href="scilab://typeof">typeof</a><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span>  <span class="scilabcomment">// simplification to bigint</span>
<span class="scilabcomment">// create a matrix of bigint</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">123456789</span><span class="scilabopenclose">)</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">987654321</span><span class="scilabopenclose">)</span>
<span class="scilabid">z</span><span class="scilaboperator">=</span><span class="scilabid">x</span><span class="scilaboperator">-</span><span class="scilabid">y</span>
<span class="scilabid">M</span><span class="scilaboperator">=</span><span class="scilabid">mbigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabid">y</span><span class="scilabdefault">,</span><span class="scilabid">z</span><span class="scilabdefault">,</span><span class="scilabid">x</span><span class="scilaboperator">-</span><span class="scilabid">z</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="check_mbigint.html">&lt;&lt; check_mbigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="mbigint2latex.html">mbigint2latex &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
